libcups2-2.2.8-2.mga7.i586.rpm


Advertisement

Description

libcups2 - CUPS printing system - CUPS library

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package name libcups2
Package version 2.2.8
Package release 2.mga7
Package architecture i586
Package type rpm
Installed size 883.01 KB
Download size 310.92 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
The CUPS printing system provides a portable printing layer for
UNIX(TM) operating systems. This package contains the CUPS API library
which contains common functions used by both the CUPS daemon and all
CUPS frontends (lpr-cups, xpp, qtcups, kups, ...).
This package you need for both CUPS clients and servers. It is also
needed by Samba.

Alternatives

Package Version Architecture Repository
libcups2 - - -

Requires

Name Value
hostname -
libavahi client.so.3
libavahi common.so.3
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.16) -
libc.so.6(GLIBC_2.17) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.28) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libcups.so.2 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgnutls.so.30 -
libgnutls.so.30(GNUTLS_3_4) -
libgssapi_krb5.so.2 -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -

Provides

Name Value
libcups.so.2 -
libcups1 == 2.2.8
libcups2 == 2.2.8-2.mga7
libcups2(x86-32) == 2.2.8-2.mga7
libcupscgi.so.1 -
libcupsimage.so.2 -
libcupsmime.so.1 -
libcupsppdc.so.1 -

Obsoletes

Name Value
libcups1 -

Download

Type URL
Binary Package libcups2-2.2.8-2.mga7.i586.rpm
Source Package cups-2.2.8-2.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libcups2 rpm package:
    # urpmi libcups2

Files

Path
/usr/lib/libcups.so.2
/usr/lib/libcupscgi.so.1
/usr/lib/libcupsimage.so.2
/usr/lib/libcupsmime.so.1
/usr/lib/libcupsppdc.so.1
/usr/lib/.build-id/
/usr/lib/.build-id/01/b0ba4bcace48bbbe4a5f7acf20a59e6888d66f
/usr/lib/.build-id/1b/64bba75847cd08377dcfaf67605de37cf59b29
/usr/lib/.build-id/79/c09823e2e1bfcae85c309d9844d6c397806a0c
/usr/lib/.build-id/95/353b73ac96b96586ba822c2eab544b770c99d9
/usr/lib/.build-id/cd/22f63103b94283b450dbcdaa1b4059021bf518

Changelog

See cups-2.2.8-2.mga7.i586.rpm changelog.

See Also

Package Description
libcups2-devel-2.2.8-2.mga7.i586.rpm CUPS printing system - Development environment "libcups"
libcurl-devel-7.62.0-2.mga7.i586.rpm Header files and static libraries for libcurl
libcurl4-7.62.0-2.mga7.i586.rpm A library of functions for file transfer
libcw-devel-3.5.1-2.mga7.i586.rpm Development files for unixcw
libcw6-3.5.1-2.mga7.i586.rpm Development files for unixcw
libcwiid-devel-0.6.02-14.mga7.i586.rpm Development headers and libraries for CWiid
libcwiid1-0.6.02-14.mga7.i586.rpm CWiid Wiimote library
libcxsparse3-4.4.6-3.mga7.i586.rpm Direct methods for sparse linear systems
libcxx-gtk-utils2.2-devel-2.2.16.1-2.mga7.i586.rpm Development files for c++-gtk-utils
libcxx-gtk-utils2.2_0-2.2.16.1-2.mga7.i586.rpm A library containing a number of classes and functions for programming GTK+ programs using C++
libcxxtools-devel-2.2.1-8.mga7.i586.rpm Headers and static library for cxxtools development
libcxxtools9-2.2.1-8.mga7.i586.rpm Shared library of cxxtools
libcyrus-imapd-devel-2.5.11-6.mga7.i586.rpm Cyrus IMAP server development files
libcyrus-imapd0-2.5.11-6.mga7.i586.rpm Cyrus IMAP server library files
libd3d1-18.3.1-1.mga7.i586.rpm Mesa Direct3D9 state tracker
Advertisement
Advertisement